Index: English.lproj/MainMenu.xib
===================================================================
--- English.lproj/MainMenu.xib	(revision 3685)
+++ English.lproj/MainMenu.xib	(working copy)
@@ -508,7 +508,8 @@
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {2560, 1417}}</string>
 				<string key="NSMaxSize">{10000000000000, 10000000000000}</string>
-				<bool key="NSWindowIsRestorable">YES</bool>
+				<int key="NSWindowCollectionBehavior">128</int>
+				<bool key="NSWindowIsRestorable">NO</bool>
 			</object>
 			<object class="NSCustomObject" id="976324537">
 				<string key="NSClassName">SqueakOSXAppDelegate</string>
Index: OSX/sqSqueakOSXOpenGLView.m
===================================================================
--- OSX/sqSqueakOSXOpenGLView.m	(revision 3685)
+++ OSX/sqSqueakOSXOpenGLView.m	(working copy)
@@ -708,7 +708,7 @@
 	return YES;
 }
 
-- (void)  ioSetFullScreen: (sqInt) fullScreen {	
+- (void)  ioSetFullScreen: (sqInt) fullScreen {
 	
 	if ([self isInFullScreenMode] == YES && (fullScreen == 1)) 
 		return;
@@ -717,17 +717,18 @@
 	
 	if ([self isInFullScreenMode] == NO && (fullScreen == 1)) {
 		self.savedScreenBoundsAtTimeOfFullScreen = (NSRect) [self bounds];
-		[self fadeOut];
-		[self enterFullScreenMode:[NSScreen mainScreen] withOptions: nil];
+		NSDictionary* options = [NSDictionary dictionaryWithObjectsAndKeys:
+			[NSNumber numberWithInt:
+				NSApplicationPresentationHideDock |
+				NSApplicationPresentationHideMenuBar ],
+			NSFullScreenModeApplicationPresentationOptions, nil];
+		[self enterFullScreenMode:[NSScreen mainScreen] withOptions:options];
 		extern struct	VirtualMachine* interpreterProxy;
 		interpreterProxy->fullDisplayUpdate();
-		[self fadeIn];
 	}
 	
 	if ([self isInFullScreenMode] == YES && (fullScreen == 0)) {
-		[self fadeOut];
 		[self exitFullScreenModeWithOptions: NULL];
-		[self fadeIn];
 		if ([self.window isKeyWindow] == NO) {
 			[self.window makeKeyAndOrderFront: self];
 			//	NOT SURE IF THIS IS NEEDED, MORE TESTING	[self.window setContentSize: self.savedScreenBoundsAtTimeOfFullScreen.size];
@@ -735,39 +736,6 @@
 	}
 }
 
-- (void)fadeOut {
-	CGDisplayErr    err;
-	
-	err = CGAcquireDisplayFadeReservation((CGDisplayReservationInterval)kCGMaxDisplayReservationInterval,
-										  &fadeToken);
-	if (err == kCGErrorSuccess) {
-		CGDisplayFade(fadeToken,
-					  ((sqSqueakOSXInfoPlistInterface*) gDelegateApp.squeakApplication.infoPlistInterfaceLogic).SqueakUIFadeForFullScreenInSeconds,
-					  (CGDisplayBlendFraction)kCGDisplayBlendNormal,
-					  (CGDisplayBlendFraction)kCGDisplayBlendSolidColor,
-					  0.0f,
-					  0.0f,
-					  0.0f,
-					  TRUE);
-	} 
-} 
-
-- (void)fadeIn {
-	CGDisplayErr    err;
-	
-	err = CGDisplayFade(fadeToken,
-						((sqSqueakOSXInfoPlistInterface*) gDelegateApp.squeakApplication.infoPlistInterfaceLogic).SqueakUIFadeForFullScreenInSeconds,
-						(CGDisplayBlendFraction)kCGDisplayBlendSolidColor,
-						(CGDisplayBlendFraction)kCGDisplayBlendNormal,
-						0.0f,
-						0.0f,
-						0.0f,
-						TRUE);
-	if (err == kCGErrorSuccess) {
-		CGReleaseDisplayFadeReservation(fadeToken);
-	} 
-}
-
 - (void) preDrawThelayers {
 }
 
